=== debian/changelog ===
openvpn3-client (24+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #904044)

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Feb 2025 20:17:22 +0100
