=== debian/control ===
Source: openvpn3-client
Section: net
Priority: optional
Maintainer: Marc Leeman <marc.leeman@gmail.com>
Build-Depends: autoconf,
               autoconf-archive,
               debhelper-compat (= 13),
               dh-python,
               libgdbuspp-dev,
               libasio-dev,
               libcap-ng-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libjsoncpp-dev,
               liblz4-dev,
               libnl-3-dev,
               libnl-genl-3-dev,
               libprotobuf-dev,
               libprotoc-dev,
               protobuf-compiler,
               libssl-dev,
               systemd-dev | systemd (<< 253-2~),
               libtinyxml2-dev,
               libxml2-utils,
               meson,
               pkgconf,
               polkitd,
               python3,
               python3-dbus,
               python3-docutils,
               python3-jinja2,
               python3-minimal,
               python3-systemd,
               uuid-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://codeberg.org/OpenVPN/openvpn3-linux
Vcs-Git: https://salsa.debian.org/erpel/openvpn3-client.git
Vcs-Browser: https://salsa.debian.org/erpel/openvpn3-client

Package: openvpn3-client
Architecture: any
Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends},
Description: virtual private network client (version 3)
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 OpenVPN uses all of the encryption, authentication, and certification
 features provided by the OpenSSL library (any cipher, key size, or
 HMAC digest).
 .
 OpenVPN may use static, pre-shared keys or TLS-based dynamic key exchange. It
 also supports VPNs with dynamic endpoints (DHCP or dial-up clients), tunnels
 over NAT or connection-oriented stateful firewalls (such as Linux's iptables).
 .
 This is a new OpenVPN client based on the OpenVPN 3 C++ Core Library.
 The architecture behind this client is completely different from the
 classic OpenVPN 2.x versions, as it enables a strict privilege
 separation as part of the implementation.  In addition, it provides
 possibility to update the DNS configuration when that is being pushed
 from the OpenVPN server.  This client is built around D-Bus which
 enables more advanced ways to interact with OpenVPN tunnels.  And
 it provides an openvpn3 Python 3 module to simplify interaction
 with the client from Python.
 .
 This package contains OpenVPN3 Linux Client
