=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_BUILD_OPTIONS+=nocheck

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
    -Dopenvpn3_core_version=3 \
    -Dbash-completion=enabled \
    -Dopenvpn_username=_openvpn \
    -Dopenvpn_group=_openvpn \
    -Dasio_path=/usr/ \
    -Dunit_tests=disabled

# dh_ needs to be called in the arch independent build. It is only part
# of the default sequence from compat level 14
override_dh_auto_install:
	dh_installsysusers
	dh_auto_install
	# delete the installed header file, this is not a library
	$(RM) -r $(CURDIR)/debian/openvpn3-client/usr/include
	# allow the directory to be created with tmpfiles.d with the
	# correct owner/permissions
	$(RM) -r $(CURDIR)/debian/openvpn3-client/var/lib/openvpn3/configs
