=== debian/watch ===
#https://swupdate.openvpn.net/community/releases/openvpn3-linux-$1.tar.xz"
version=4
opts=" \
  repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//, \
  searchmode=plain, \
  downloadurlmangle=s#.lateststable:(\d+)#-$1.tar.xz#" \
  https://swupdate.openvpn.net/community/releases/openvpn3-linux.latest stable:(\d+)
