=== debian/changelog ===
openvpn3-client (24.1+dfsg-1) unstable; urgency=medium

  [ Marc Leeman ]
  * d/gbp.conf: rename to [import-orig]
  * d/patches: remove access to git with meson
  * d/control: bump Standards-Version to 4.7.2
  * d/copyright: remove unused BSL-1.0
  * d/watch: allow for point releases
  * New upstream version 24.1+dfsg
  * d/patches: refresh
  * Addresses CVE-2025-3908 (Closes: #1106206)

  [ Fabio Pedretti ]
  * d/rules: don't force -Dopenvpn3_core_version=3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 20 May 2025 10:36:39 +0200

openvpn3-client (24+dfsg-2) unstable; urgency=medium

  [ Fabio Pedretti ]
  * use proper project page

  [ Marc Leeman ]
  * d/patches: make builds reproduceable (Closes: #1103800)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 22 Apr 2025 10:50:56 +0200
