## openvpn3-client 25%2Bdfsg

=== openvpn3-core/client/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 
 if (BUILD_SWIG_LIB)
     set_property(SOURCE ovpncli.i PROPERTY CPLUSPLUS ON)
-    if (NOT MSVC)
+    if (NOT MSVC OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
         # Swig generates code with deprecated python declarations
-        set_property(SOURCE ovpncli.i PROPERTY GENERATED_COMPILE_OPTIONS -Wno-deprecated-declarations -Wno-sometimes-uninitialized -Wno-class-memaccess -Wno-unknown-warning-option)
+        set_property(SOURCE ovpncli.i PROPERTY GENERATED_COMPILE_OPTIONS -Wno-deprecated-declarations -Wno-sometimes-uninitialized -Wno-class-memaccess -Wno-unused-function -Wno-unknown-warning-option)
     endif()
 
     swig_add_library(ovpnclilib
