## openvpn3-client 25+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -102,7 +102,7 @@
        description: 'Override D-Bus system service directory')
 option('systemd_system_unit_dir', type: 'string',
        description: 'Override path to systemd system unit directory')
-option('create_statedir', type: 'boolean', value: 'true',
+option('create_statedir', type: 'boolean', value: true,
        description: 'Create directory for OpenVPN 3 state during install phase')
 
 #
