=== openvpn3-core/test/ovpncli/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 option(CLI_KOVPN "Build ovpncli variant with kovpn kernel module support" OFF)
 option(CLI_OVPNDCO "Build ovpncli with ovpn-dco kernel module support" OFF)
 option(CLI_OVPNDCOWIN "Build ovpncli with ovpn-dco-win driver support" OFF)
+option(CLI_TUNBUILDER "Build ovpncli with tunbuilder interface support" OFF)
 
 set(KOVPN_SOURCE "${CORE_DIR}/../kovpn" CACHE PATH "ovpn-dco kernel module source tree")
 
@@ -76,3 +77,7 @@
     add_json_library(ovpncliagent)
     target_compile_definitions(ovpncliagent PRIVATE -DOPENVPN_COMMAND_AGENT)
 endif ()
+
+if (${CLI_TUNBUILDER})
+    target_compile_definitions(ovpncli PRIVATE USE_TUN_BUILDER)
+endif ()
