=== openvpn3-core/test/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 add_executable(coreUnitTests
         core_tests.cpp
         test_acc.cpp
+        test_alignment.cpp
         test_acc_certcheck.cpp
         test_route_emulation.cpp
         test_log.cpp
@@ -40,6 +41,7 @@
         test_ssl.cpp
         test_sslctx.cpp
         test_continuation.cpp
+        test_pushlex.cpp
         test_crypto.cpp
         test_optfilt.cpp
         test_clamp_typerange.cpp
@@ -63,16 +65,19 @@
         test_ostream_containers.cpp
         test_parseargv.cpp
         test_path.cpp
-        test_pktid.cpp
+        test_pktid_control.cpp
+        test_pktid_data.cpp
         test_prefixlen.cpp
         test_randapi.cpp
         test_rc.cpp
         test_route.cpp
         test_reliable.cpp
         test_splitlines.cpp
+        test_loggingmixin.cpp
         test_statickey.cpp
         test_streq.cpp
         test_time.cpp
+        test_make_rc.cpp
         test_typeindex.cpp
         test_tun_builder.cpp
         test_userpass.cpp
@@ -84,18 +89,20 @@
 )
 
 # The compile flags for test_proto.cpp, prefixed with PROTO_ to avoid collision with other defines
+set(PROTO_COMPILE_DEFINITIONS PROTO_N_THREADS=${TEST_PROTO_NTHREADS})
+list(APPEND PROTO_COMPILE_DEFINITIONS PROTO_RENEG=${TEST_PROTO_RENEG})
+list(APPEND PROTO_COMPILE_DEFINITIONS PROTO_ITER=${TEST_PROTO_ITER})
+list(APPEND PROTO_COMPILE_DEFINITIONS TEST_KEYCERT_DIR="${TEST_KEYCERT_DIR}/")
+
 if (${TEST_PROTO_VERBOSE})
-        set(PROTO_CFLAGS_VERBOSE -DPROTO_VERBOSE)
+    list(APPEND PROTO_COMPILE_DEFINITIONS PROTO_VERBOSE)
 endif()
 
-target_compile_definitions(coreUnitTests PRIVATE
-        ${PROTO_CFLAGS_VERBOSE}
-        -DPROTO_N_THREADS=${TEST_PROTO_NTHREADS}
-        -DPROTO_RENEG=${TEST_PROTO_RENEG}
-        -DPROTO_ITER=${TEST_PROTO_ITER}
-        -DPROTO_SITER=${TEST_PROTO_SITER}
-        -DTEST_KEYCERT_DIR=\"${TEST_KEYCERT_DIR}/\"
-)
+# Warning: When defines are only set for one specific test, we need to make sure they do
+# not affect any symbols used by other tests. So be careful before adding more.
+SET_SOURCE_FILES_PROPERTIES(test_proto.cpp PROPERTIES COMPILE_DEFINITIONS
+    "${PROTO_COMPILE_DEFINITIONS}"
+    )
 
 if (${USE_MBEDTLS})
     target_sources(coreUnitTests PRIVATE
@@ -162,7 +169,7 @@
     message("lzo not found, skipping lzo compression tests")
 endif ()
 
-target_link_libraries(coreUnitTests ${GTEST_LIB} GTest::gmock ${EXTRA_LIBS})
+target_link_libraries(coreUnitTests ${GTEST_LIB} GTest::gmock rapidcheck rapidcheck_gtest ${EXTRA_LIBS})
 
 target_compile_definitions(coreUnitTests PRIVATE ${CORE_TEST_DEFINES})
 target_include_directories(coreUnitTests PRIVATE ${EXTRA_INCLUDES})
