=== debian/changelog ===
openvpn3-client (25+dfsg-3) unstable; urgency=medium

  * d/patches: add 0005-ovpn_dco_linux-drop-unused-enum-clashing-with-kernel.patch
    (Closes: #1114248)

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 15:09:16 +0200

openvpn3-client (25+dfsg-2) unstable; urgency=medium

  * trixie has been released, re-upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 08:36:39 +0200

openvpn3-client (25+dfsg-1) experimental; urgency=medium

  * New upstream version 25+dfsg
  * d/patches: remove upstream applied 0002_fix-openvpn-to-_openvpn.patch
  * d/copyright: remove openvpn3-core/scripts/git-pre-commit-clangformat.sh
  * d/copyright: remove unused BSD-2-Clause

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 18 Jul 2025 09:38:41 +0200
