=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                python3-minimal,
                python3-systemd,
                uuid-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://codeberg.org/OpenVPN/openvpn3-linux
 Vcs-Git: https://salsa.debian.org/erpel/openvpn3-client.git
