=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-    -Dopenvpn3_core_version=3 \
     -Dbash-completion=enabled \
     -Dopenvpn_username=_openvpn \
     -Dopenvpn_group=_openvpn \
