## openvpn3-client 26+dfsg

=== subprojects/fmt-11.2.0/meson_options.txt ===
option(
    'header-only',
    type: 'boolean',
    value: false,
    description: 'enable header only mode and disable build for libfmt',
)
