=== debian/changelog ===
openvpn3-client (26+dfsg-2) unstable; urgency=medium

  * d/control: update Standards-Version to 4.7.3

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Jan 2026 09:56:48 +0100

openvpn3-client (26+dfsg-1) unstable; urgency=medium

  * New upstream version 26+dfsg
  * Revert "d/patches: add 0005-ovpn_dco_linux-drop-unused-enum-clashing-with-kernel.patch"

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 19 Jan 2026 08:54:37 +0100

openvpn3-client (25+dfsg-4) unstable; urgency=medium

  * d/rules: enable devposture addon (Closes: #1114001)

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Jan 2026 16:33:36 +0100
