=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: openvpn3-client
 Section: net
-Priority: optional
 Maintainer: Marc Leeman <marc.leeman@gmail.com>
 Build-Depends: autoconf,
                autoconf-archive,
@@ -32,7 +31,7 @@
                python3-minimal,
                python3-systemd,
                uuid-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://codeberg.org/OpenVPN/openvpn3-linux
 Vcs-Git: https://salsa.debian.org/erpel/openvpn3-client.git
