=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
     -Dopenvpn_username=_openvpn \
     -Dopenvpn_group=_openvpn \
     -Dasio_path=/usr/ \
-    -Dunit_tests=disabled
+    -Dunit_tests=disabled \
+		-Daddon-deviceposture=enabled
 
 # dh_ needs to be called in the arch independent build. It is only part
 # of the default sequence from compat level 14
