=== debian/changelog ===
openvpn3-client (27+dfsg-1) unstable; urgency=medium

  * d/salsa-ci.yml: add
  * d/copyright: update to include 2026
  * New upstream version 27+dfsg

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 04 Mar 2026 10:18:05 +0100
